'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = defaultUnit;
// Don't automatically add unit to these possibly-unitless properties.
var cssNumber = {
  'animation-iteration-count': true,
  'box-ordinal-group': true,
  'column-count': true,
  'fill-opacity': true,
  'flex': true,
  'flex-grow': true,
  'flex-order': true,
  'flex-shrink': true,
  'font-weight': true,
  'line-height': true,
  'opacity': true,
  'order': true,
  'orphans': true,
  'stop-opacity': true,
  'tab-size': true,
  'widows': true,
  'z-index': true,
  'zoom': true
};

/**
 * Add unit to numeric values.
 *
 * @param {Rule} rule
 * @api public
 */
function defaultUnit() {
  var options = arguments.length <= 0 || arguments[0] === undefined ? { unit: 'px' } : arguments[0];

  return function (rule) {
    var style = rule.style;

    if (!style) return;
    for (var prop in style) {
      if (!cssNumber[prop] && typeof style[prop] == 'number' && style[prop] !== 0) {
        style[prop] += options.unit;
      }
    }
  };
}